@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
$typography: mat-typography-config(
  $font-family: 'Open Sans',
);

@include mat-core($typography);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$app-dark-primary: mat-palette($mat-blue);
$app-dark-accent: mat-palette($mat-deep-orange);
$app-dark-warn: mat-palette($mat-red);

$app-light-primary: mat-palette($mat-blue);
$app-light-accent: mat-palette($mat-deep-orange);
$app-light-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$app-dark-theme: mat-dark-theme($app-dark-primary, $app-dark-accent, $app-dark-warn);
$app-light-theme: mat-light-theme($app-light-primary, $app-light-accent, $app-light-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
.dark-theme {
  @include angular-material-theme($app-dark-theme);
}

.light-theme {
  @include angular-material-theme($app-light-theme);
}
